Loading...
Searching...
No Matches
pappso::FilterInterface Class Referenceabstract

generic interface to apply a filter on a trace More...

`#include <filterinterface.h>`

Inheritance diagram for pappso::FilterInterface:

## Public Member Functions

virtual Trace & | filter (Trace &data_points) const =0
virtual | ~FilterInterface ()

## Detailed Description

generic interface to apply a filter on a trace

Definition at line 39 of file filterinterface.h.

## Constructor & Destructor Documentation

## ~FilterInterface()

virtual pappso::FilterInterface::~FilterInterface | ( |  | ) |

inline virtual

Definition at line 43 of file filterinterface.h.

{};

## Member Function Documentation

## filter()

virtual Trace & pappso::FilterInterface::filter | ( | Trace & | data_points | ) | const

pure virtual

Implemented in pappso::FilterSuiteString, pappso::FilterCeilingAmplitudePercentage, pappso::FilterChargeDeconvolution, pappso::FilterComplementIonEnhancer, pappso::FilterMzExclusion, pappso::FilterFloorAmplitudePercentage, pappso::FilterLocalMaximum, pappso::FilterLowIntensitySignalRemoval, pappso::FilterMorphoWindowBase, pappso::FilterMorphoMinMax, pappso::FilterMorphoMaxMin, pappso::FilterMorphoAntiSpike, pappso::FilterMorphoBackground, pappso::FilterNormalizeIntensities, pappso::FilterLowPass, pappso::FilterHighPass, pappso::FilterHighPassPercentage, pappso::FilterGreatestY, pappso::FilterGreatestYperWindow, pappso::FilterFloorY, pappso::FilterRoundY, pappso::FilterRescaleY, pappso::FilterScaleFactorY, pappso::FilterRemoveY, pappso::FilterQuantileBasedRemoveY, pappso::FilterPeakDelta, pappso::FilterRemoveC13, pappso::FilterSuite, pappso::FilterTriangle, pappso::FilterSavitzkyGolay, pappso::FilterResampleKeepPointInPolygon, pappso::FilterResampleKeepSmaller, pappso::FilterResampleKeepGreater, pappso::FilterResampleRemoveXRange, pappso::FilterResampleKeepXRange, and pappso::FilterResampleKeepPointInPolygon.

The documentation for this class was generated from the following file:

- pappsomspp/processing/filters/filterinterface.h